Subject: Re: [PATCH] mark PCI resource with start 0 as unassigned

From: Alan <[email-masked]>
Date: Mon, 4 Dec 2006 13:21:24 +0000

On Mon, 04 Dec 2006 16:08:46 +0300
Sergei Shtylyov <[email-masked]> wrote:

> >> W82C105_IDE: inconsistent baseregs (BIOS) for port 0, skipping
> > So that needs fixing too, then.

Both PCI core and IDE interpret a zero length resource as unassigned.
That is probably better than clearing the flags in retrospect.

>     I'd agree here, that check in the IDE code seems like being too x86 
> specific. I'm having issues with it as well on MPC85xx/U-Boot...

setup-pci is for SFF8038i devices. It therefore knows that for assigned
resources they must be I/O. It also assumes that zero is not a valid I/O
port just like zero is not a valid IRQ. Stick a real IDE resource at zero
and drivers/ide can't cope. 

Alan